Get Quality Profile
curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "6804b1c2d3e4f5a6b7c80123",
"name": "Marketing Content Profile",
"aiChecks": [
{
"uid": "6804a3f2e1b2c3d4e5f60789",
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
},
{
"uid": "6804a3f2e1b2c3d4e5f6078a",
"name": "Formal Register",
"qualityRequirements": "The translation must use formal language and avoid colloquialisms."
}
],
"createdDate": "2024-01-15T10:30:00Z",
"lastModifiedDate": "2024-03-20T14:45:00Z",
"createdByUid": "6804c9d0e1f2a3b4c5d60456"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Quality Profiles
Get Quality Profile
deprecated
Deprecated. Will be removed on October 12, 2026. Use GET /v3/qualityProfiles/{contentGroupId} instead.
Returns a Quality Profile with its associated AI Checks. Returns 404 if the UID does not exist.
GET
/
v1
/
qualityProfiles
/
{uid}
Get Quality Profile
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Path Parameters
Unique identifier of the Quality Profile.
Example:
"6804b1c2d3e4f5a6b7c80123"
Response
Quality Profile details, including its AI Checks.
Example:
"6804b1c2d3e4f5a6b7c80123"
Example:
"Marketing Content Profile"
Example:
"2024-01-15T10:30:00Z"
Example:
"6804c9d0e1f2a3b4c5d60456"
Show child attributes
Show child attributes
Example:
"2024-03-20T14:45:00Z"
Was this page helpful?
⌘I